{% extends 'base.html' %}

{% block content %}
<div class="container">
    <div class="row">
        <ul>
            <li><a href="{% url 'account:change-password' %}">Change Password</a></li>
            <li><a href="{% url 'account:logout' %}">Logout</a></li>
        </ul>
    </div>

    <div class="text-center">
          <h1>Update Profile</h1>
    </div>
    <div class="row">
        {% if messages %}
            <ul class="messages text-center">
                {% for message in messages %}
                    <li {% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                {% endfor %}
            </ul>
        {% endif %}
    </div>
    <div class="row">
    <form method="POST">
        <div class="row">
            <div class="form-group">
                {{ edit_profile_form.first_name.label_tag }}
                {{ edit_profile_form.first_name }}
                {{ edit_profile_form.first_name.errors }}
            </div>
        </div>
        <div class="row">
            <div class="form-group">
                {{ edit_profile_form.last_name.label_tag }}
                {{ edit_profile_form.last_name }}
                {{ edit_profile_form.last_name.errors }}
            </div>
        </div>
        <div class="row">
            <div class="form-group">
                {{ edit_profile_form.username.label_tag }}
                {{ edit_profile_form.username }}
                {{ edit_profile_form.username.errors }}
            </div>
        </div>
        <div class="row">
            <div class="form-group">
                {{ edit_profile_form.email.label_tag }}
                {{ edit_profile_form.email }}
                {{ edit_profile_form.email.errors }}
            </div>
        </div>
        <div class="row">
            <div class="form-group">
                <input type="submit" class="btn btn-primary" name="edit-profile" value="Submit">
            </div>
        </div>
        {% csrf_token %}
    </form>
    </div>
</div>
{% endblock %}